/*
 * Code6.java
 * Dan Armendariz
 * Computer Science 76
 * Building Mobile Applications
 *
 * A better version of reading values from the keyboard.
 *
 */

// allow us use of the keyboard scanner. More information from the docs:
// http://java.sun.com/javase/6/docs/api/java/util/Scanner.html
import java.util.Scanner;

class Code6 {

	public static void main(String [] args) {

		int number = 123;

		// instantiate the Scanner class, accessing data from the keyboard
		Scanner keyboard = new Scanner(System.in);

		System.out.print("Please enter an integer: ");		

		// wait for the user to enter an integer
		int input = keyboard.nextInt();

		// test to see if what the user entered matches our number.
		if(input == number) {
			System.out.println("Numbers match! :-)");
		} else {
			System.out.println("Numbers do not match! :-(");
		}

	}

}