/*
 * Computer.java
 * Dan Armendariz
 * Computer Science 76
 * Building Mobile Applications
 *
 * Demonstrates class inheritance; a parent class for 'computer' sub-classes.
 *
 */

class Computer {

	public String make;
	public String model;
	public int built;
	public double speed;
	private boolean on;

	public Computer(String mk, String mdl, int yr, double spd) {
		make = mk;
		model = mdl;
		built = yr;
		speed = spd;
		on = false;
	}

	public void turnOn() {
		on = true;
	}

	public void turnOff() {
		on = false;
	}

	public boolean isOn() {
		return on;
	}

}