/*
 * Car.java
 * Dan Armendariz
 * Computer Science 76
 * Building Mobile Applications
 *
 * A brief introduction to methods.
 *
 */
 
class Car {

	private String make;
	private String model;
	private int year;
	private double speed;
	private double maxSpeed;

	public Car(String mk, String mdl, int yr) {
		make = mk;
		model = mdl;
		year = yr;
	}

	public void setMaxSpeed(double max) {
		maxSpeed = max;
	}

	public boolean setSpeed(double spd) {
		if(spd > maxSpeed) return false;
		
		speed = spd;
		return true;
	}
	
	public double getSpeed() {
		return speed;
	}

	public String getMake() {
		return make;
	}

	public String getModel() {
		return model;
	}

	public int getYear() {
		return year;
	}

}