/*
 * Code8.java
 * Dan Armendariz
 * Computer Science 76
 * Building Mobile Applications
 *
 * Comparing input via a switch.
 *
 */

// allow us use of the keyboard scanner. More information from the docs:
// http://java.sun.com/javase/6/docs/api/java/util/Scanner.html
import java.util.Scanner;

class Code8 {

	public static void main(String [] args) {

		int input = 0;

		// instantiate the Scanner class, accessing data from the keyboard
		Scanner keyboard = new Scanner(System.in);

		System.out.print("Please enter an integer: ");		

		// try inputting an integer, if a user doesn't ..
		try {

			input = keyboard.nextInt();

		} catch(Exception e) {
			// an exception will be thrown, and we can catch it to alert
			// the user that something bad happened.

			System.out.println("Invalid input! Quitting..");
			System.exit(1);
		}


		// determine which number the user selected
		switch(input) {
			case 1: System.out.println("You're number one!"); break;
			case 3: System.out.println("Third time's a charm!"); break;
			case 6: System.out.println("That matches my file name!"); break;
			default: System.out.println("That's a boring number.");
		}

	}

}