/*
 * Laptop.java
 * Dan Armendariz
 * Computer Science 76
 * Building Mobile Applications
 *
 * Demonstrates class inheritance; Laptop is a subclass of Computer.
 *
 */

class Laptop extends Computer {

	private double battery;

	public Laptop(String mk, String mdl, int yr, double spd) {
		super(mk, mdl, yr, spd);
	}

	public void setBattery(double lvl) {
		battery = lvl;
		
		if (battery < 0.01) super.turnOff();
	}

	public double getBattery() {
		return battery;
	}

}